Has patch: No
Complexity: medium
Subject: Precompiled reflection data for rather static packages
Description

Packages which are usually not touched during development (such as FLOW3, Fluid etc.) don't need to be monitored for changes and
thus could provide some precompiled reflection data which could be loaded if caches were flushed.

Such packages could be marked by a new "frozen" state which can be set and removed through a command line command.

Associated revisions
Revision e1810549 - 2012-03-15 16:06 - Robert Lemke

[FEATURE] Precompiled reflection data for frozen packages

This feature introduces "frozen packages". Through the command line
command "package:freeze" one ore more packages can be set into a
frozen state. A frozen package is excluded from file monitoring and
its reflection data is stored in a file separate from the regular
caches. After caches have been flushed, this precompiled reflection
data is loaded in order to speed up the compile run during that first
hit.

With "package:unfreeze" packages can be unfrozen and "package:refreeze" 
will refresh the precompiled reflection data of an already frozen
package.

Package freezing is only supported for Development context.

Resolves: #34827
Resolves: PHX-71
Releases: 1.1

Change-Id: Icee8530d8796f27345d75530c466fc0822285a58

History
#1 - 2012-03-14 12:13 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9644
#2 - 2012-03-14 15:46 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9644

#3 - 2012-03-14 15:51 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9644

#4 - 2012-03-14 21:40 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9644

#5 - 2012-03-15 12:05 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9644

#6 - 2012-03-15 12:08 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9644

#7 - 2012-03-15 12:36 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9644

#8 - 2012-03-15 13:19 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9644

#9 - 2012-03-15 13:25 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9644

#10 - 2012-03-15 13:51 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9644
#11 - 2012-03-15 14:16 - Gerrit Code Review

Patch set 11 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9644

#12 - 2012-03-15 14:21 - Gerrit Code Review

Patch set 12 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9644

#13 - 2012-03-15 14:54 - Gerrit Code Review

Patch set 13 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9644

#14 - 2012-03-15 15:12 - Gerrit Code Review

Patch set 14 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9644

#15 - 2012-03-15 16:06 - Gerrit Code Review

Patch set 15 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9644

#16 - 2012-03-15 17:04 - Bastian Waidelich

Some rough performance measurements for the record. Tested with current T3CON12 distribution (15.03.2012, 15:30) on Windows 7, 64bit (3 test
runs per case)

Before:

flow3:cache:flush -> 7s
1st flow3:cache:warmup -> 55s
2nd flow3:cache:warmup -> 11s
1st request -> 48s
2nd request -> 7s

Now:

flow3:cache:flush -> 7s (+-0%)
1st flow3:cache:warmup -> 44s (-20%)
2nd flow3:cache:warmup -> 15s (+36%)
1st request -> 37s (-23%)
2nd request -> 7s (+-0%)
Now (with all packages except TYPO3.Conference frozen):

flow3:cache:flush -> 5s (-29%)
1st flow3:cache:warmup -> 26s (-53%)
2nd flow3:cache:warmup -> 7s (-36%)
1st request -> 20s (-58%)
2nd request -> 5s (-29%)

#17 - 2012-03-19 14:38 - Robert Lemke
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:e1810549a590de455a609443a1f35e2e3d9baee3.

2015-08-03 4/4


